Bug 70535 - uname clueless
uname clueless
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: sh-utils (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-02 06:05 EDT by Harald Hoyer
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-29 15:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2002-08-02 06:05:12 EDT
$ uname -pi
unknown unknown

$ rpm -qf /bin/uname
sh-utils-2.0.12-2

I expected useful output for my athlon.

$ uname -a
Linux faro.stuttgart.redhat.com 2.4.18-7.81 #1 Fri Jul 26 12:57:30 EDT 2002 i686
unknown unknown GNU/Linux

$ cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 4
model name      : AMD Athlon(tm) Processor
stepping        : 2
cpu MHz         : 908.156
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 mmx fxsr syscall mmxext 3dnowext 3dnow
bogomips        : 1800.42
Comment 1 Bernhard Rosenkraenzer 2002-08-29 15:34:46 EDT
uname uses the sysinfo() libc call to determine this implementation.
sysinfo() isn't implemented in glibc.

I've added a (somewhat Linux specific) workaround for -p -i in 2.0.12-3.
Comment 2 Jay Turner 2002-08-30 15:11:00 EDT
Fix confirmed with sh-utils-12.0.12-3.

Note You need to log in before you can comment on or make changes to this bug.